SOLIDWORKS PDM Professional API Help | Send Feedback
LockedByUser Property (IEdmReference5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmReference5 Interface : LockedByUser Property (IEdmReference5)

Visual Basic
C#
C++/CLI
Gets the the user who checked out the file.

# Syntax

Visual Basic |
--- | ---
    ReadOnly Property LockedByUser As IEdmUser5

C# |
--- | ---
    IEdmUser5 LockedByUser {get;}

C++/CLI |
--- | ---
    property IEdmUser5^ LockedByUser {
       IEdmUser5^ get();
    }

#### Property Value

User who checked out the file

# See Also

####

IEdmReference5 Interface
IEdmReference5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional